#!/bin/bash

ECHO=/bin/echo
CAT=/bin/cat
CUT=/bin/cut

if [ ! -f "/etc/in-aws" ] ; then  
	$ECHO "is_aws=0"	
else
	FULL_VERSION_STR=`$CAT /etc/in-aws`   # string examples: ogu-123-456.raw      ,   gey_hvm-123-167.raw
	str=${FULL_VERSION_STR%.raw} # remove ".raw" suffix
	curr_ver="$($ECHO $str | $CUT -d'-' -f1)"
	curr_build="$($ECHO $str | $CUT -d'-' -f3)"
	$ECHO "is_aws=1 curr_ver=\"$curr_ver\" curr_build=\"$curr_build\""	
fi

exit 0