#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#Script collects Azure template name of the machine. If machine is not in Azure, templateName will be an emty string.

rootCloudFilesPath=/etc

#possible cloudType uniqueFiles
cloudFile="in-azure"

templateName=""


#fetch templateName
if [ -f ${rootCloudFilesPath}/$cloudFile ]
then
	templateName="$(/bin/awk '/template_name/{print $2}' /etc/cloud-version)"
fi

$ECHO "templateName='$templateName'"

exit 0