#!/bin/bash

#script collects the kernel version of the machine.

ECHO=/bin/echo
AWK=/bin/awk
DMIDECODE=/usr/sbin/dmidecode
SED=/bin/sed
GREP=/bin/grep

curBIOSVersion="`$DMIDECODE | $GREP -A2 "BIOS Information" | $GREP Version | $SED 's/\s//g' | $AWK -F: '{print $2}'`-`$DMIDECODE | $GREP -A3 "System Information" | $GREP Version | $SED 's/\s//g' | $AWK -F: '{print $2}'`"

$ECHO "curBIOSVersion='$curBIOSVersion'"

exit 0