#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects all blades that are enabled

CPPROD_UTIL=$CPDIR/bin/cpprod_util
GREP=/bin/grep
ECHO=/bin/echo

#if version is a minor, use following command
CPVersion=`$CPPROD_UTIL CPPROD_GetLastMinorVersion | $SED 's/\s//g'`
if [ "X`$ECHO $CPVersion | $GREP \<nil\>`" != "X" -o "$CPVersion" = "0" -o "X$CPVersion" = "X" ]
then
	#version is a major, therfore use following command
	CPVersion=`$CPPROD_UTIL CPPROD_GetVerText CPshared | $SED 's/\s//g'`
fi

$ECHO "CPVersion='$CPVersion'"
exit 0
