#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#Script collects cloud type of the machine. If machine is not in cloud environment, cloudType will be an emty string.

rootCloudFilesPath=/etc

#possible cloudType uniqueFiles
cloudFiles="in-azure,in-google,in-aws,in-aliyun"

cloudType=""


#check cloudType
IFS=','
for cloudFile in $cloudFiles
do
	if [ -f ${rootCloudFilesPath}/${cloudFile} ]
	then
		cloudType=${cloudFile//in-}
		break
	fi
done

$ECHO "cloudType='$cloudType'"

exit 0