#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#machine collects space in kilobytes available at user defined path.
#received parameter is 'path', the path to check how much disk space is available.

DF=/bin/df
AWK=/bin/awk
ECHO=/bin/echo
TR=/usr/bin/tr
TAIL=/usr/bin/tail
rv=0

#parameter received is 'path'
parseArgs "$@"

if [ ! -e $path ]
then
	# (reset this line after DDR handles error from collect) endCheck 1 "Path $path does not exist"
	endCheck 0 "collect_err_msg='Path $path does not exist'"
fi

path_space=`$DF -kP $path | $AWK '{print $4}' | $TAIL -1`

$ECHO "path_space='$path_space'"
exit 0