#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects whether a product is installed on the machine.
#parameter received is 'product_name'

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util

#parameter received is 'product_name'
parseArgs "$@"
#set default to 'not found'
product_found="0"

$CPPROD_UTIL CPPROD_GetValue Products $product_name 0 > /dev/null 2>&1
if [ $? -eq 0 ]
then
        product_found="1"
fi

$ECHO "product_found='$product_found'"

exit 0