#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script collects whether a string exists in a given file
#parameters received:
# 1) 'file_name', path to file
# 2) 'text' string to search for

ECHO=/bin/echo
GREP=/bin/grep

#parameters received are 'file_name' and 'text'
parseArgs "$@"
#set default to 'not found'
text_found="0"
file_found="0"

#interpret possible '$' in file_name to allow usage such as $FWDIR
eval "file_name=$file_name"

if [ -f "$file_name" ]
then
		file_found="1"
		if [ "X`$GREP $text $file_name`" != "X" ]
		then
			text_found="1"
		fi
fi

$ECHO "text_found='$text_found' file_found='$file_found'"

exit 0