#!/bin/bash
. `dirname $0`"/DDR_shared_functions"


RESULT=""
rv=0

#parameters received from collect are 'ep_activated', 'am_exist' , 'am_type'  
#parameters received from user are 'am_engine_type'


parseArgs "$@"

	
if [ "X$ep_activated" = "X0" ]
then
	rv=1
	RESULT="EP is not activated on the server."
else	#EP is activated, verify AM blade exist
	
	if [ "X$am_exist" = "X0" ]
	then 
		rv=1
		RESULT="AM blade does not exist."
	else #AM blade exist, verify AM type
		if [ "X$am_type" != "X$am_engine_type" ]
		then
			rv=1
			RESULT="am_type is $am_type and does not match the checked $am_engine_type."
		else
			RESULT="AM blade exist and am_type is $am_type."
		fi			
	fi	
fi


endCheck $rv "$RESULT"