#!/bin/bash

. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo

#parameter received is expected_hash_type
parseArgs "$@"

if [ "X$admin_expected_hash_type" != "X$AdminPWDHashType" -a  "X$expert_expected_hash_type" != "X$ExpertPWDHashType" ]
then
	$ECHO "your admin and expert passwords are not in $admin_expected_hash_type format, please update password hash, perform save config and change your password to be in $admin_expected_hash_type and then try to install again"
	exit 1
fi

if [ "X$admin_expected_hash_type" != "X$AdminPWDHashType" ]
then
	$ECHO "your admin password is not in $admin_expected_hash_type format, please update password hash, perform save config and change your password to be in $admin_expected_hash_type and then try to install again"
	exit 1
fi

if [ "X$expert_expected_hash_type" != "X$ExpertPWDHashType" ]
then
	$ECHO "your expert password is not in $expert_expected_hash_type format, please update password hash, perform save config and change your password to be in $expert_expected_hash_type and then try to install again"
	exit 1
fi

$ECHO $@
exit 0
