#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script returns success or failure based on the collection of the product being installed
#parameters received:
# 1) 'product_name', product checked
# 2) 'product_found', received from the collect whether the product is installed or not

ECHO=/bin/echo
rv=0

#parameters received are 'product_name' and 'product_found'
parseArgs "$@"

if [ "X$product_found" = "X0" ]
then
        rv=1
		$ECHO "Product '$product_name' is not installed on the machine"
else
		$ECHO "Product '$product_name' is installed on the machine"
fi

exit $rv