#!/bin/sh


LOG_FILE=/opt/CPInstLog/`basename $0`.log

/bin/echo "$0 started at:" `date` >> $LOG_FILE

if [ -x /bin/sed ] ; then
	SED=/bin/sed
else
	SED=sed
fi


ISMNG=`$CPDIR/bin/cpprod_util FwIsFirewallMgmt 2>>$LOG_FILE | $SED 's/ //g'`

/bin/echo "Test if this mgmt: $ISMNG" >> $LOG_FILE
if [ "X$ISMNG" = "X1" ]; 
then
	/bin/echo "Machine is mgmt!" >> $LOG_FILE
	if [ "X$MDSDIR" = "X" ];
	then
		/bin/echo "Machine is not MDS (MDSDIR is empty) - running: update_inspect_files -restore" >> $LOG_FILE
		$FWDIR/bin/update_inspect_files -restore >> $LOG_FILE
		/bin/echo "Exit code: $?" >> $LOG_FILE
	fi
fi
/bin/echo "update_inspect_files done" >> $LOG_FILE
