#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

ECHO=/bin/echo
CPPROD_UTIL=$CPDIR/bin/cpprod_util
SED=/bin/sed

#parameters received are 'bundle_name' and 'min_take' and 'max_take'
parseArgs "$@"
#set default to 'not found'
bundle_found="0"
take_number="0"

curVersion=`$CPPROD_UTIL CPPROD_GetCurrentVersion cpshared | $SED 's/\s//g'`


$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//HotFixes BUNDLE_$bundle_name 0 > /dev/null 2>&1
if [ $? -eq 0 ]
then
        bundle_found="1"
		# get take number from CPUSE registry
		take_number=`$CPPROD_UTIL CPPROD_GetValue CPUpdates//$curVersion//BUNDLE_$bundle_name SU_Build_Take 0` 
fi

$ECHO "bundle_found=\"$bundle_found\" take_number=\"$take_number\""
exit 0