#!/bin/bash

# NOTE !!!
# This script is only relevant from R80.10 and above - before R80.10 the file take.info does not exist

ECHO=/bin/echo
CAT=/bin/cat
TAKE_INFO_FILE="/sysimg/CPwrapper/linux/MiniWrapper/take.info"
OUTPUT="take_found=\"0\""

if [ -f $TAKE_INFO_FILE ];then
	INFO=`$CAT $TAKE_INFO_FILE`
	CURR_TAKE="${INFO##*;}"
	CURR_BRANCH="${INFO%;*}"
	OUTPUT="take_found=\"1\" curr_branch=\"$CURR_BRANCH\" curr_take=\"$CURR_TAKE\""
fi

$ECHO $OUTPUT

exit 0