#!/bin/bash
. `dirname $0`"/DDR_shared_functions"

#script returns success or failure based on the collection of the hotfix being installed
#parameters received:
# 1) 'product_name', product checked
# 2) 'hotfix_name' hotfix checked 
# 3) 'hotfix_found', received from the collect whether the hotfix is installed or not

ECHO=/bin/echo
rv=0

#parameters received are 'product_name', 'hotfix_name', and 'hotfix_found'
parseArgs "$@"

if [ "X$hotfix_found" = "X0" ]
then
        rv=1
		$ECHO "Hotfix '$hotfix_name' for product '$product_name' is not installed on the machine"
else
		$ECHO "Hotfix '$hotfix_name' for product '$product_name' is installed on the machine"
fi

exit $rv